可列印性修復 API
修復 3D 模型以提升可列印性——修復非流形邊、退化面、孔洞以及其他 topology 問題,使網格達到可列印的狀態。此外,還可以選擇在你計劃列印的尺寸下,將過薄的壁加厚。
建立可列印性修復任務
此 endpoint 用於建立一個新的可列印性修復任務。該任務會對 3D 模型執行 topology 修復,並回傳一個水密的、可直接用於列印的版本。
該任務在背景執行。關於通常所需時間,請參閱處理時間。
輸出格式與輸入格式一致。如果你透過 model_url 提交了一個 .stl 檔案,回應中的 model_urls.stl 將儲存修復後的 mesh,其他格式欄位則為空。input_task_id 路徑始終讀取來源任務的 GLB,因此輸出為 .glb。
若還想對列印尺寸下過薄的壁厚進行加厚,請傳送 printer_type、列印尺寸,或兩者都傳送。只有當超過 5% 的表面對於該印表機而言過薄時,才會進行壁厚加厚。修復後的模型會保留其原始比例;如需縮放,請使用 Resize API,其單位為公尺(100 毫米即為 0.1)。
參數
input_task_id 和 model_url 中只需提供其中一個,為必填項。如果兩者都提供,則 input_task_id 的優先順序更高。
由於修復過程會改變 geometry,現有的 texture 會在修復過程中被移除。如需重新加入 texture,請對修復後的模型使用 Retexture API。
- Name
- input_task_id
- Type
- string
- 必選
- Description
你擁有的某個成功任務的 ID。支援的任務類型:Image to 3D、Multi-Image to 3D、Text to 3D、Remesh、Retexture 以及可列印性分析。該任務的狀態必須為
SUCCEEDED,且必須已產生 GLB 資產。若某個分析任務曾檢查過壁厚,它也會傳遞其印表機和尺寸資訊,因此即便你兩者都未傳送,修復任務也會檢查壁厚並加厚過薄的壁;而你所傳送的
printer_type或列印尺寸會覆蓋該值。透過.stl、.fbx或.gltf格式的model_url建立的分析任務不被接受:請改為將該檔案作為model_url傳送。
- Name
- model_url
- Type
- string
- 必選
- Description
待修復 3D 模型的 URL。支援的格式:
.glb、.gltf、.obj、.fbx、.stl。可使用http或httpsURL,或針對 GLB(data:model/gltf-binary;base64,...)或 glTF(data:model/gltf+json;base64,...)使用 base64 格式的data:URL。.obj、.fbx和.stl檔案必須以http或httpsURL 的形式傳送。最大檔案大小:
http或httpsURL 為 400 MB,data:URI 為 100 MB。超過 100 MB 的 GLB、glTF、FBX 或 OBJ 檔案最多可包含 10,000,000 個面。面以三角形計數:一個四邊形計為 2 個面,被多次繪製的 mesh 每個副本計為一次。超過 100 MB 時,FBX 檔案必須為 7.1 或更高版本的二進位 FBX,且 GLB 或 gltF 檔案不得使用 Draco 壓縮。
Meshy 的下載 URL(
assets.meshy.ai/…?Expires=…&Signature=…)是簽署的,到該任務的expires_at時會失效;重新取得該任務並不會刷新其有效期。對於透過 Meshy 產生的模型,請改為傳入input_task_id。只要來源任務仍處於保留期內,該方式就可正常使用(參見資產保留期)。若要在此之後複用該模型,請在expires_at之前下載它,並傳送你自己儲存的副本。
- Name
- alpha_thumbnail
- Type
- boolean
- 預設值 false
- Description
設為
true時,任務會額外渲染一個透明背景(RGBA)版本的預覽圖,並在 GET 回應中以alpha_thumbnail_url回傳。現有的thumbnail_url欄位不受影響。
兩個列印尺寸欄位中最多只能傳送一個。如果你傳送了 printer_type 但未指定尺寸,且沒有從分析任務複用尺寸,則預設尺寸為:
.glb以及任何input_task_id:高度 150 毫米。.stl:以該檔案自身最長邊為準,按毫米解讀。若 STL 使用其他單位,請傳送intended_print_longest_side_mm。.obj、.fbx、.gltf:最長邊 150 毫米。
- Name
- printer_type
- Type
- string
- Description
你計劃使用的印表機類型。它決定了修復所針對的最小壁厚。當你傳送列印尺寸但未指定該欄位時,預設值為
fdm,除非作為input_task_id傳入的分析任務已提供印表機資訊。可選值:
fdm:熔絲(FDM),最小壁厚 1.0 毫米。sla:光固化樹脂(SLA),最小壁厚 0.8 毫米。full_color:全彩列印,最小壁厚 2.0 毫米。
- Name
- intended_print_height_mm
- Type
- number
- Description
列印件的高度,單位為毫米。範圍:
[1, 1000]。四捨五入到最接近的整數毫米。僅適用於 GLB 輸入。
- Name
- intended_print_longest_side_mm
- Type
- number
- Description
列印件最長邊的長度,單位為毫米。範圍:
[1, 1000]。四捨五入到最接近的整數毫米。適用於所有輸入格式。
回傳值
回應的 result 屬性包含新建立的可列印性修復任務的 id。
失敗模式
- Name
400 - Bad Request- Description
請求不可接受。常見原因:
- 缺少參數:既未提供
input_task_id,也未提供model_url。 - 無效的 UUID:
input_task_id不是有效的 UUID。 - 無效的模型 URL:
model_url格式錯誤、使用了不受支援的協議,或檔案副檔名不受支援。 - 模型檔案過大:
model_url內容超過 400 MB(http或httpsURL)或 100 MB(data:URI)。 - 面數過多:
model_url是一個超過 100 MB 的 GLB、glTF、FBX 或 OBJ 檔案,面數超過 10,000,000。請減少面數後重新傳送該檔案。 - ASCII FBX 超過 100 MB:
model_url是超過 100 MB 的 ASCII FBX。請將其以二進位 FBX 或 GLB 形式傳送。 - 模型檔案無法讀取:
model_url超過 100 MB,且其檔案標頭無法讀取,例如經過 Draco 壓縮的 GLB 或 glTF,或早於 7.1 版本的二進位 FBX。 - 模型檔案標頭過於複雜:
model_url超過 100 MB,且其檔案標頭中包含的 mesh、節點或記錄數過多,無法檢查。請減少檔案中的物件數量後重新傳送。 - 模型檔案下載失敗:
model_url回傳了錯誤,最常見的原因是已簽署的 Meshy 下載 URL 已過期。重新取得該任務會回傳相同的 URL 和相同的過期時間,因此請傳送你自己儲存的檔案副本,或在來源任務仍處於保留期內時使用input_task_id。 - 任務未成功:所引用的任務仍處於待處理、進行中或失敗狀態。
- 缺少 GLB:所引用的任務沒有可供修復的 GLB 資產。
- 無效的列印尺寸:
intended_print_height_mm或intended_print_longest_side_mm超出[1, 1000]範圍,或兩者都已傳送。 - 未知的印表機類型:
printer_type不是fdm、sla或full_color。 - 非 GLB 模型指定了高度:對非
.glb的model_url傳送了intended_print_height_mm。請改用intended_print_longest_side_mm。 - 無法按高度為該模型定尺寸:在所請求的高度(或預設的 150 毫米)下,模型最長邊會超出
[1, 1000]毫米範圍、模型是扁平的,或其尺寸無法確定。請改用intended_print_longest_side_mm。對於.glb格式的model_url以及部分input_task_id任務,該問題只有在任務啟動後才能被發現,此時任務會以FAILED結束,而非回傳該錯誤。 - STL 尺寸不可用:傳送了
printer_type但未指定尺寸,且該.stl檔案自身的最長邊無法讀取或超出[1, 1000]毫米範圍。請傳送intended_print_longest_side_mm。
- 缺少參數:既未提供
- Name
401 - Unauthorized- Description
Authentication 失敗。請檢查你的 API key。
- Name
402 - Payment Required- Description
常見原因:
- 免費方案:建立任務需要付費方案。請前往 subscription 頁面升級。
- credits 不足:已達到 workspace 的 credit 限額。
- Name
404 - Not Found- Description
所引用的任務不存在,或歸屬於其他使用者。
- Name
429 - Too Many Requests- Description
你已超出待處理任務配額或速率限制。
Request
# Repair an existing task
curl https://api.meshy.ai/openapi/v1/print/repair \
-X POST \
-H "Authorization: Bearer ${YOUR_API_KEY}" \
-H 'Content-Type: application/json' \
-d '{
"input_task_id": "018a210d-8ba4-705c-b111-1f1776f7f578"
}'
# Or repair a model URL directly
curl https://api.meshy.ai/openapi/v1/print/repair \
-X POST \
-H "Authorization: Bearer ${YOUR_API_KEY}" \
-H 'Content-Type: application/json' \
-d '{
"model_url": "https://example.com/model.stl"
}'
# Also thicken walls that are too thin for a 100 mm tall SLA print
curl https://api.meshy.ai/openapi/v1/print/repair \
-X POST \
-H "Authorization: Bearer ${YOUR_API_KEY}" \
-H 'Content-Type: application/json' \
-d '{
"input_task_id": "018a210d-8ba4-705c-b111-1f1776f7f578",
"printer_type": "sla",
"intended_print_height_mm": 100
}'
Response
{
"result": "0193bfc5-ee4f-73f8-8525-44b398884ce9"
}
取得可列印性修復任務
此 endpoint 透過 ID 取得一個可列印性修復任務。
參數
- Name
- id
- Type
- path
- Description
要取得的可列印性修復任務的 ID。
回傳
可列印性修復任務物件。在任務達到 SUCCEEDED 狀態之前,model_urls 區塊為空。只有與輸入格式相符的 model_urls 欄位才會被填入。壁厚修復從一開始就包含 intended_print,並在任務成功後包含 print_repair_report。
Request
curl https://api.meshy.ai/openapi/v1/print/repair/a43b5c6d-7e8f-901a-234b-567c890d1e2f \
-H "Authorization: Bearer ${YOUR_API_KEY}"
Response
{
"id": "0193bfc5-ee4f-73f8-8525-44b398884ce9",
"type": "print-repair",
"status": "SUCCEEDED",
"progress": 100,
"created_at": 1699999999000,
"started_at": 1700000000000,
"finished_at": 1700000030000,
"expires_at": 1715725401000,
"task_error": null,
"model_urls": {
"glb": "",
"gltf": "",
"fbx": "",
"obj": "",
"stl": "https://assets.meshy.ai/***/tasks/0193bfc5-ee4f-73f8-8525-44b398884ce9/output/model.stl?Expires=***",
"usdz": "",
"3mf": "",
"mtl": ""
},
"thumbnail_url": "https://assets.meshy.ai/***/tasks/0193bfc5-ee4f-73f8-8525-44b398884ce9/output/preview.png?Expires=***",
"texture_urls": [],
"consumed_credits": 10
}
Response (wall thickness checked)
{
"id": "0193bfc5-ee4f-73f8-8525-44b398884ce9",
"type": "print-repair",
"status": "SUCCEEDED",
"progress": 100,
"created_at": 1699999999000,
"started_at": 1700000000000,
"finished_at": 1700000090000,
"expires_at": 1715725490000,
"task_error": null,
"model_urls": {
"glb": "https://assets.meshy.ai/***/tasks/0193bfc5-ee4f-73f8-8525-44b398884ce9/output/model.glb?Expires=***",
"gltf": "",
"fbx": "",
"obj": "",
"stl": "",
"usdz": "",
"3mf": "",
"mtl": ""
},
"thumbnail_url": "https://assets.meshy.ai/***/tasks/0193bfc5-ee4f-73f8-8525-44b398884ce9/output/preview.png?Expires=***",
"texture_urls": [],
"consumed_credits": 10,
"intended_print": {
"printer_type": "sla",
"height_mm": 100,
"longest_side_mm": 118,
"wall_thickness_mm": 0.8,
"dimensions_mm": [118, 72.41, 99.87]
},
"print_repair_report": {
"route": "thin_wall",
"applied": true,
"faces_before": 243112,
"faces_after": 251870,
"thin_area_ratio_before": 0.083,
"thin_area_ratio_after": 0.004
}
}
刪除可列印性修復任務
此 endpoint 會永久刪除一個可列印性修復任務及其修復輸出結果。此操作不可復原。
路徑參數
- Name
- id
- Type
- path
- Description
要刪除的可列印性修復任務的 ID。
任務狀態
仍處於 PENDING 狀態的任務會被刪除,且建立時所消耗的 credits 將被退還。
已處於 IN_PROGRESS 狀態的任務無法刪除:請求會被拒絕並返回 409 Conflict,任務將繼續執行。對於 worker 已經開始處理的任務,其 credits 不可退還,因此如果在執行過程中刪除該任務,你將同時損失 credits 和結果。請等待任務進入 SUCCEEDED、FAILED 或 CANCELED 狀態後再刪除。
處於終止狀態(SUCCEEDED、FAILED 或 CANCELED)的任務在刪除時不會退還 credits。
回傳值
成功時返回 200 OK;當任務處於 IN_PROGRESS 狀態時返回 409 Conflict。
Request
curl --request DELETE \
--url https://api.meshy.ai/openapi/v1/print/repair/a43b5c6d-7e8f-901a-234b-567c890d1e2f \
-H "Authorization: Bearer ${YOUR_API_KEY}"
Response
// 200 OK on success, with an empty body.
//
// 409 Conflict when the task is IN_PROGRESS — the task is left running:
{
"message": "Task is IN_PROGRESS and cannot be deleted. Credits for a task the worker has already started are not refundable; wait for it to reach SUCCEEDED, FAILED or CANCELED, then delete it."
}
取得可列印性修復任務列表
此 endpoint 允許你取得可列印性修復任務的列表。
參數
可選屬性
- Name
- page_num
- Type
- integer
- Description
用於分頁的頁碼。起始值與預設值均為
1。
- Name
- page_size
- Type
- integer
- Description
每頁大小限制。預設為
10項。最大允許值為100項。
- Name
- sort_by
- Type
- string
- Description
用於排序的欄位。可用值:
+created_at:依建立時間升冪排序。-created_at:依建立時間降冪排序。
回傳值
回傳一個分頁的 可列印性修復任務物件 列表。
Request
curl https://api.meshy.ai/openapi/v1/print/repair?page_size=10 \
-H "Authorization: Bearer ${YOUR_API_KEY}"
Response
[
{
"id": "0193bfc5-ee4f-73f8-8525-44b398884ce9",
"type": "print-repair",
"status": "SUCCEEDED",
"progress": 100,
"preceding_tasks": 0,
"created_at": 1699999999000,
"started_at": 1700000000000,
"finished_at": 1700000030000,
"expires_at": 1715725401000,
"task_error": null,
"model_urls": {
"glb": "https://assets.meshy.ai/***/tasks/0193bfc5-ee4f-73f8-8525-44b398884ce9/output/model.glb?Expires=***",
"gltf": "",
"fbx": "",
"obj": "",
"stl": "",
"usdz": "",
"3mf": "",
"mtl": ""
},
"thumbnail_url": "https://assets.meshy.ai/***/tasks/0193bfc5-ee4f-73f8-8525-44b398884ce9/output/preview.png?Expires=***",
"texture_urls": [],
"consumed_credits": 10
}
]
流式取得可列印性修復任務
此 endpoint 使用 Server-Sent Events (SSE) 以串流方式傳輸可列印性修復任務的即時更新。
參數
- Name
- id
- Type
- path
- Description
要進行串流傳輸的可列印性修復任務的唯一識別碼。
回傳值
以 Server-Sent Events 的形式回傳一個可列印性修復任務物件串流。
每一幀都攜帶該階段的完整任務物件——與 Get endpoint 回傳的結構相同——因此當任務處於 PENDING 或 IN_PROGRESS 狀態時,輸出欄位尚未被填入(為 null、[] 或 {}),finished_at 為 null。只有當任務達到 SUCCEEDED 狀態時,才會傳送 model_urls 區塊。
Request
curl -N https://api.meshy.ai/openapi/v1/print/repair/a43b5c6d-7e8f-901a-234b-567c890d1e2f/stream \
-H "Authorization: Bearer ${YOUR_API_KEY}"
Response Stream
// Error event example
event: error
data: {
"status_code": 404,
"message": "Task not found"
}
// Message event examples illustrate task progress.
// Every frame is the full task object; fields not yet populated are null / empty.
// The PENDING frame below is abbreviated to the fields that change.
event: message
data: {
"id": "a43b5c6d-7e8f-901a-234b-567c890d1e2f",
"progress": 0,
"status": "PENDING"
}
event: message
data: {
"id": "a43b5c6d-7e8f-901a-234b-567c890d1e2f",
"type": "print-repair",
"status": "SUCCEEDED",
"progress": 100,
"preceding_tasks": 0,
"created_at": 1699999999000,
"started_at": 1700000000000,
"finished_at": 1700000030000,
"expires_at": 1715725401000,
"task_error": null,
"model_urls": {
"glb": "https://assets.meshy.ai/***/tasks/a43b5c6d-7e8f-901a-234b-567c890d1e2f/output/model.glb?Expires=***",
"gltf": "",
"fbx": "",
"obj": "",
"stl": "",
"usdz": "",
"3mf": "",
"mtl": ""
},
"thumbnail_url": "https://assets.meshy.ai/***/tasks/a43b5c6d-7e8f-901a-234b-567c890d1e2f/output/preview.png?Expires=***",
"texture_urls": [],
"consumed_credits": 10
}
可列印性修復任務物件
- Name
- id
- Type
- string
- Description
任務的唯一識別碼。雖然我們在實作上使用 k-sortable UUID 作為任務 id,但你不應該對 id 的格式做任何假設。
- Name
- type
- Type
- string
- Description
可列印性修復任務的類型。該值為
print-repair。
- Name
- status
- Type
- string
- Description
任務的狀態。可能的值為
PENDING、IN_PROGRESS、SUCCEEDED、FAILED、CANCELED之一。
- Name
- progress
- Type
- integer
- Description
任務的進度。如果任務尚未開始,此屬性為
0。一旦任務成功,該值將變為100。
- Name
- preceding_tasks
- Type
- integer
- Description
排在前面的任務數量。
只有當任務狀態為
PENDING時,此欄位的值才有意義。
- Name
- created_at
- Type
- timestamp
- Description
任務建立時間的時間戳,單位為毫秒。
- Name
- started_at
- Type
- timestamp
- Description
任務開始時間的時間戳,單位為毫秒。如果任務尚未開始,此屬性為
0。
- Name
- finished_at
- Type
- timestamp
- Description
任務完成時間的時間戳,單位為毫秒。如果任務尚未完成,此屬性為
0。
- Name
- expires_at
- Type
- timestamp
- Description
任務結果將從系統中過期的時間戳,單位為毫秒。如果任務尚未完成,則為
0。
- Name
- task_error
- Type
- object
- Description
如果任務失敗,則為錯誤資訊。如果任務未失敗,此屬性為
null。更多詳情請參閱 Errors。- Name
message- Type
- string
- Description
描述出錯原因的錯誤資訊。
- Name
- model_urls
- Type
- object
- Description
指向修復後 3D 模型的可下載 URL。僅與輸入格式相符的欄位會被填入;其他格式欄位均為空字串。
- Name
glb- Type
- string
- Description
指向修復後 GLB 的可下載 URL。當輸入為 GLB 或使用了
input_task_id時會被填入。
- Name
gltf- Type
- string
- Description
指向修復後 GLTF 的可下載 URL。當輸入為上傳的 GLTF 時會被填入。
- Name
fbx- Type
- string
- Description
指向修復後 FBX 的可下載 URL。當輸入為上傳的 FBX 時會被填入。
- Name
obj- Type
- string
- Description
指向修復後 OBJ 的可下載 URL。當輸入為上傳的 OBJ 時會被填入。
- Name
stl- Type
- string
- Description
指向修復後 STL 的可下載 URL。當輸入為上傳的 STL 時會被填入。
- Name
usdz- Type
- string
- Description
保留用於 USDZ 輸出。對於可列印性修復任務,始終為空字串。
- Name
3mf- Type
- string
- Description
保留用於 3MF 輸出。對於可列印性修復任務,始終為空字串。
- Name
mtl- Type
- string
- Description
保留用於 MTL 輸出。對於可列印性修復任務,始終為空字串。
- Name
- thumbnail_url
- Type
- string
- Description
由修復後模型渲染生成的預覽圖像的 URL。
- Name
- alpha_thumbnail_url
- Type
- string
- Description
指向
thumbnail_url的透明背景(RGBA)版本的可下載 URL。僅當任務建立時設定了alpha_thumbnail: true且透明預覽圖成功渲染時才會出現;否則會省略此欄位。
- Name
- texture_urls
- Type
- array
- Description
始終為空陣列。修復僅保留輸入幾何體,不會重新烘焙材質。
- Name
- consumed_credits
- Type
- integer
- Description
此任務消耗的積分數量。一旦任務達到
SUCCEEDED狀態,即為10。FAILED任務回傳0(失敗時會退還積分)。
- Name
- intended_print
- Type
- object
- Description
修復所使用的印表機和尺寸,無論是直接傳送的還是從分析任務中複用的。在壁厚修復一開始(
PENDING)時即已存在;尚未知曉的值為null。- Name
printer_type- Type
- string
- Description
fdm、sla或full_color。
- Name
height_mm- Type
- number
- Description
如果列印尺寸是按高度決定的,則為以毫米為單位的列印高度。否則為
null。
- Name
longest_side_mm- Type
- number
- Description
列印件最長邊的長度(毫米)。當按高度決定尺寸時,該值根據模型比例計算得出,在模型被測量之前為
null。
- Name
wall_thickness_mm- Type
- number
- Description
對應
printer_type的最小壁厚,單位為毫米。
- Name
dimensions_mm- Type
- array
- Description
列印件的
[寬度, 深度, 高度],單位為毫米。高度值可能與height_mm存在零點幾毫米的差異。在任務成功之前為null,且對於非 GLB 輸入始終為null。
- Name
- print_repair_report
- Type
- object
- Description
壁厚修復所執行的內容。一旦壁厚修復成功,此欄位即會出現。
- Name
route- Type
- string
- Description
執行了哪種修復。可能的值為:
thin_wall:超過 5% 的表面過薄,因此也運行了壁厚增厚處理(見applied)。topology:壁厚已足夠;僅運行了拓撲修復。topology_unmeasured:無法測量壁厚;僅運行了拓撲修復。
- Name
applied- Type
- boolean
- Description
壁厚增厚處理是否改變了網格。僅當
route為thin_wall時才會出現。
- Name
faces_before- Type
- integer
- Description
輸入網格的面數。僅當
route為thin_wall時才會出現。
- Name
faces_after- Type
- integer
- Description
修復後網格的面數。僅當
route為thin_wall時才會出現。
- Name
thin_area_ratio_before- Type
- number
- Description
輸入表面中薄於
intended_print.wall_thickness_mm的部分所占的比例,範圍從0到1。如果輸入無法被測量,則省略此欄位。
- Name
thin_area_ratio_after- Type
- number
- Description
在修復後模型上測量得到的相同比例。如果無法測量則省略;任務仍會成功。
The Repair Printability Task Object
{
"id": "0193bfc5-ee4f-73f8-8525-44b398884ce9",
"type": "print-repair",
"status": "SUCCEEDED",
"progress": 100,
"preceding_tasks": 0,
"created_at": 1699999999000,
"started_at": 1700000000000,
"finished_at": 1700000030000,
"expires_at": 1715725401000,
"task_error": null,
"model_urls": {
"glb": "https://assets.meshy.ai/***/tasks/0193bfc5-ee4f-73f8-8525-44b398884ce9/output/model.glb?Expires=***",
"gltf": "",
"fbx": "",
"obj": "",
"stl": "",
"usdz": "",
"3mf": "",
"mtl": ""
},
"thumbnail_url": "https://assets.meshy.ai/***/tasks/0193bfc5-ee4f-73f8-8525-44b398884ce9/output/preview.png?Expires=***",
"texture_urls": [],
"consumed_credits": 10
}
The Repair Printability Task Object (wall thickness checked)
{
"id": "0193bfc5-ee4f-73f8-8525-44b398884ce9",
"type": "print-repair",
"status": "SUCCEEDED",
"progress": 100,
"preceding_tasks": 0,
"created_at": 1699999999000,
"started_at": 1700000000000,
"finished_at": 1700000090000,
"expires_at": 1715725490000,
"task_error": null,
"model_urls": {
"glb": "https://assets.meshy.ai/***/tasks/0193bfc5-ee4f-73f8-8525-44b398884ce9/output/model.glb?Expires=***",
"gltf": "",
"fbx": "",
"obj": "",
"stl": "",
"usdz": "",
"3mf": "",
"mtl": ""
},
"thumbnail_url": "https://assets.meshy.ai/***/tasks/0193bfc5-ee4f-73f8-8525-44b398884ce9/output/preview.png?Expires=***",
"texture_urls": [],
"consumed_credits": 10,
"intended_print": {
"printer_type": "sla",
"height_mm": 100,
"longest_side_mm": 118,
"wall_thickness_mm": 0.8,
"dimensions_mm": [118, 72.41, 99.87]
},
"print_repair_report": {
"route": "thin_wall",
"applied": true,
"faces_before": 243112,
"faces_after": 251870,
"thin_area_ratio_before": 0.083,
"thin_area_ratio_after": 0.004
}
}